Bug 59513 - ia64 rhr-ddX test does not run.
ia64 rhr-ddX test does not run.
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: XFree86 (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Kloiber
Jeff A. Abbott
Depends On:
  Show dependency treegraph
Reported: 2002-02-08 20:21 EST by Chris Kloiber
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-09 18:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Your requested output... (412 bytes, text/plain)
2002-02-12 13:43 EST, Chris Kloiber
no flags Details
Replacement rhr-ddX script to replace /etc/init.d/rhr-ddX on failing systems. (860 bytes, text/plain)
2002-02-12 16:18 EST, Jeff A. Abbott
no flags Details

  None (edit)
Description Chris Kloiber 2002-02-08 20:21:55 EST
ddX test fails to run, all *.out files are zero length (This allows a false
pass!) all *.log files contain:

$ cat XDEPTH.24.3.log 
Unknown version of XFree86 installed; test failed.
Comment 1 Mike A. Harris 2002-02-09 10:41:28 EST
This gives me absolutely _zero_ information to go on.  I don't have
an ia64, so it is already hard enough to work on ia64 related bugs.

1) I have no idea what video card was used whatsoever
2) I have no idea what problems were encountered

This is like calling the mechanic, leaving a message on his answering
machine and saying "my car doesn't work, what's wrong" then hanging
up the phone, and expecting him to fix it, having no idea what car
you're talking about, or who you are.

With _ALL_ XFree86 bug reports, I need the log file, the config file,
as well as the output of lspci -v and lspci -n, and a _specific_ problem
description.  "tests dont run" is meaningless to me.

Comment 2 Chris Kloiber 2002-02-09 14:30:50 EST
This is not a bug in XFree86 itself. It was not intended to you to fix it. It's
assigned to jabbott because he maintains the redhatready certification tests.

We need to make the test aware of the version of XFree86 installed with the
stock 7.2 ia64 distribution. We don't have a (working) ia64 either.  The test
was run at IBM, and we just have the results. We need to modify this function to
accept all current (and as much as possible) future XFree86 versions to we can
later launch the correct command line for the test.

case "$XF86VERSION" in
    "3.3.6" | "4.0.1" | "3.3.6a" ) \
          startx -- :1 -bpp $DEVICE 2>>../`logfile` ;;
    "4.0.3" | "4.1.0" ) \
          startx -- :1 -depth $DEVICE 2>>../`logfile` ;;
    * ) \
          echo -n "Unknown version of XFree86 installed; test failed." ;
          exit 1 ;;

get_xf86_version (){
        # Get the version of XFree86 that's currently configured.
        /etc/X11/X -version &> $RHRDIR/$TESTNAME/XFree86-version.txt
        XF86VERSION=`grep "XFree86 Version"
$RHRDIR/$TESTNAME/XFree86-version.txt | awk '{print $3}'`
Comment 3 Mike A. Harris 2002-02-09 15:19:53 EST
Hmm.  I wonder how the heck this bug showed up in XFree86 for me then.
Is this something new set up in bugzilla?

It seems to be some kind of bugzilla screwup perhaps then.  I apologize
for being abrasive above, as I have gotten 5 bug reports in the last 24
hours that I've looked at that contained zero info, and when I saw one
coming from a Red Hatter, it sort of set me off as one of those "you
should know better" type of things...  but in reality, it has turned
out to be one of those "Mike, watch WTF you're doing things."

/me inserts foot into mouth

Again, sorry for the blast of stupidity.
Comment 4 Mike A. Harris 2002-02-09 15:31:37 EST
Current version is 4.2.0, next will be 4.3.0, etc...  there is a remote
possibility of each release having a .1 release as well, although unlikely
under the new numbering scheme.

Hope that helps.
Comment 5 Jeff A. Abbott 2002-02-11 15:07:35 EST
I took a look at the version info output by XFree86 on ia64, and it spits out 4.1.0 
when run through the script. I'm not sure why this is freaking out.. Chris, could you 
please have the IBM person run the following on the server they're testing on:

/etc/X11/X -version &> /tmp/XFree86-version-ia64.txt

and attach that file to the bug.
Comment 6 Chris Kloiber 2002-02-12 13:43:08 EST
Created attachment 45421 [details]
Your requested output...
Comment 7 Jeff A. Abbott 2002-02-12 16:18:25 EST
Created attachment 45439 [details]
Replacement rhr-ddX script to replace /etc/init.d/rhr-ddX on failing systems.
Comment 8 Jeff A. Abbott 2002-02-12 16:19:14 EST
Try using the above attached rhr-ddX script. Drop it in /etc/init.d and chmod +x
it and let me know if that helps.
Comment 9 Rob Landry 2002-05-09 18:09:50 EDT
-10 should fix this.

Note You need to log in before you can comment on or make changes to this bug.